html,
body {
  border: none;
  padding: 0;
  margin: 0;
  background: #074057;
  color: #ffffff;
  text-align: center;
  font-family: "Barlow Semi Condensed", sans-serif;
  font-weight: 100;
}

h1 {
  color: #ffffff;
  font-weight: 500;
}

.main-wrapper {
  max-width: 960px;
  margin: 0 auto;
  padding: 10px;
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 20px;
  margin-bottom: 2em;
}

.header-acc h1 {
  margin: 0;
  text-align: right;
}

#test {
  display: flex;
  flex-direction: column;
  gap: 2em;
  margin-top: 2em;
}

.testGroup {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1em;
}

div.testArea {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 16em;
  height: 14em;
  position: relative;
  box-sizing: border-box;
}

div.testName {
  position: absolute;
  top: 0.1em;
  width: 100%;
  font-size: 1.4em;
  z-index: 9;
}

div.meterText {
  position: absolute;
  bottom: 1.55em;
  width: 100%;
  font-size: 2.5em;
  z-index: 9;
}
div.meterText:empty:before {
  content: "0.00";
}

div.unit {
  position: absolute;
  bottom: 2em;
  width: 100%;
  z-index: 9;
}

div.testArea canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

#startStopBtn {
  display: inline-block;
  color: #074057;
  background-color: #91dfff;
  border: 0.15em solid #074057;
  border-radius: 0.3em;
  transition: all 0.3s;
  width: 8em;
  height: 3em;
  line-height: 2.7em;
  cursor: pointer;
  font-weight: 500;
}
#startStopBtn:hover {
  background-color: #ffffff;
  box-shadow: 0 0 2em rgba(0, 0, 0, 0.1);
}
#startStopBtn.running {
  background-color: #ff3030;
  border-color: #ff6060;
  color: #ffffff;
}
#startStopBtn:before {
  content: "Iniciar";
}
#startStopBtn.running:before {
  content: "Detener";
}

.testResult {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-top: 2em;
}

.resultArea {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  width: 100%;
  font-size: 1.2em;
  color: #ffffff;
}

#ip,
#dateTest {
  font-weight: 300;
  color: #91dfff;
}

@media (max-width: 40em) {
  .header-container {
    justify-content: center;
  }
  .testGroup {
    flex-direction: column;
    align-items: center;
  }
  .header-acc h1 {
    text-align: center;
  }
}
